package actionController

import (
	"crypto/sha256"
	"fmt"
	"strings"
)

func CreateCacheName(collection, signature, action, params, ext string) string {
	nameBytes := sha256.Sum256([]byte(strings.TrimRight(fmt.Sprintf("%s/%s/%s/%s", collection, signature, action, params), "/")))
	name := fmt.Sprintf("%x.%s", nameBytes, strings.TrimLeft(ext, "."))
	return fmt.Sprintf("%s/%s/%s", string(name[0]), string(name[1]), name)
}
